Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Class InternalDelegate

    java.lang.Object
      org.jboss.cache.aop.InternalDelegate

    public class InternalDelegate

extends java.lang.Object

PojoCache delegation to handle internal cache sotre, that is, the portion that is not part of user's data.

Author:
  Ben Wang

Field Summary
`protected PojoCache` | `cache_`
`static java.lang.String` | `CLASS_INTERNAL`
`static Fqn` | `JBOSS_INTERNAL`
`static Fqn` | `JBOSS_INTERNAL_MAP`
`static java.lang.String` | `SERIALIZED`

Method Summary
`protected java.lang.Object` | `get(Fqn fqn, java.lang.Object key)` Has a delegate method so we can use the switch.
`protected java.lang.Object` | `get(Fqn fqn, java.lang.Object key, boolean gravitate)`
`protected AOPInstance` | `getAopInstance(Fqn fqn)`
`protected AOPInstance` | `getAopInstanceWithGravitation(Fqn fqn)`
`static boolean` | `isInternalNode(Fqn fqn)` Test if this internal node.
`protected void` | `localPut(Fqn fqn, java.lang.Object key, java.lang.Object value)`
`protected void` | `put(Fqn fqn, java.util.Map map)`
`protected void` | `put(Fqn fqn, java.lang.Object key, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_INTERNAL

    public static final java.lang.String CLASS_INTERNAL

See Also:
  Constant Field Values

### SERIALIZED

    public static final java.lang.String SERIALIZED

See Also:
  Constant Field Values

### JBOSS_INTERNAL

    public static final Fqn JBOSS_INTERNAL

### JBOSS_INTERNAL_MAP

    public static final Fqn JBOSS_INTERNAL_MAP

### cache_

    protected PojoCache cache_

Method Detail

### getAopInstance

    protected AOPInstance getAopInstance(Fqn fqn)
                                  throws CacheException

  Throws:
    `CacheException`

### getAopInstanceWithGravitation

    protected AOPInstance getAopInstanceWithGravitation(Fqn fqn)
                                                 throws CacheException

  Throws:
    `CacheException`

### get

    protected java.lang.Object get(Fqn fqn,
                                   java.lang.Object key)
                            throws CacheException

  Has a delegate method so we can use the switch.

  Throws:
    `CacheException`

### get

    protected java.lang.Object get(Fqn fqn,
                                   java.lang.Object key,
                                   boolean gravitate)
                            throws CacheException

  Throws:
    `CacheException`

### put

    protected void put(Fqn fqn,
                       java.lang.Object key,
                       java.lang.Object value)
                throws CacheException

  Throws:
    `CacheException`

### put

    protected void put(Fqn fqn,
                       java.util.Map map)
                throws CacheException

  Throws:
    `CacheException`

### localPut

    protected void localPut(Fqn fqn,
                            java.lang.Object key,
                            java.lang.Object value)
                     throws CacheException

  Throws:
    `CacheException`

### isInternalNode

    public static boolean isInternalNode(Fqn fqn)

  Test if this internal node.

  Parameters:
    `fqn` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.